# Az - Storage Persistence

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Za više informacija o skladištu pogledajte:

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### Uobičajene trikove

- Čuvanje pristupnih ključeva
- Generisanje SAS
- Korisnički delegirani su maksimalno 7 dana

### Microsoft.Storage/storageAccounts/blobServices/containers/update && Microsoft.Storage/storageAccounts/blobServices/deletePolicy/write

Ove dozvole omogućavaju korisniku da modifikuje svojstva blob servisa za funkciju zadržavanja brisanja kontejnera, koja omogućava ili konfiguriše period zadržavanja za obrisane kontejnere. Ove dozvole se mogu koristiti za održavanje postojanosti kako bi se pružila prilika napadaču da povrati ili manipuliše obrisanim kontejnerima koji su trebali biti trajno uklonjeni i pristupi osetljivim informacijama.
```bash
az storage account blob-service-properties update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable-container-delete-retention true \
--container-delete-retention-days 100
```
### Microsoft.Storage/storageAccounts/read && Microsoft.Storage/storageAccounts/listKeys/action

Ove dozvole mogu omogućiti napadaču da izmeni politike čuvanja, vrati obrisane podatke i pristupi osetljivim informacijama.
```bash
az storage blob service-properties delete-policy update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable true \
--days-retained 100
```
{{#include ../../../banners/hacktricks-training.md}}
